Bug 441082 - $* is no longer supported
$* is no longer supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 17:53 EDT by Robert Scheck
Modified: 2008-04-10 06:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 06:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-04-05 17:53:44 EDT
Description of problem:
/tmp/ccgx4utP.o: In function `get_null_defines':
annexc.c:(.text+0x8c): warning: the use of `tmpnam' is dangerous, better use
`mkstemp'
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/posix/bug-glob1.o:
In function `prepare':
/usr/src/rpm/BUILD/glibc-20080328T1347/posix/bug-glob1.c:34: warning: the use of
`mktemp' is dangerous, better use `mkstemp'
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/posix/tst-execvp4.o:
In function `do_test':
/usr/src/rpm/BUILD/glibc-20080328T1347/posix/tst-execvp4.c:25: warning: the use
of `mktemp' is dangerous, better use `mkstemp'
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/posix/wordexp-test.o:
In function `main':
/usr/src/rpm/BUILD/glibc-20080328T1347/posix/wordexp-test.c:249: warning: the
use of `tmpnam' is dangerous, better use `mkstemp'
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
$* is no longer supported at
/usr/src/rpm/BUILD/glibc-20080328T1347/build-i686-linuxnptl-nosegneg/malloc/mtrace
line 2.
make[2]: Leaving directory `/usr/src/rpm/BUILD/glibc-20080328T1347/posix'
make -s subdir=io -C io ..=../ tests

Version-Release number of selected component (if applicable):
glibc-2.7.90-13
Comment 1 Jakub Jelinek 2008-04-07 10:46:33 EDT
perl sucks.
http://sources.redhat.com/ml/glibc-cvs/2008-q2/msg00004.html
Comment 2 Jakub Jelinek 2008-04-10 06:03:31 EDT
Should be fixed in 2.7.90-14.

Note You need to log in before you can comment on or make changes to this bug.